Open Source RDBMS - Seamless, Scalable, Stable and Free

한국어 | Login |Register

Versions available for this page: CUBRID 8.4.3 |  CUBRID 9.0.0 | 

Installing and Configuring ADO.NET

Requirements
Installing and Configuring CUBRID ADO.NET Driver

Before you start developing .NET applications with CUBRID, you will need the CUBRID ADO.NET Data Provider library (Cubrid.Data.dll). You have the options to:

  • Download the complied library along with other files from:

    http://www.cubrid.org/?mid=downloads&item=ado_dot_net_driver

  • Compile it yourself from source code. You can check out the code from the SVN repository. If you are using CUBRID 9.0.0 version, enter 9.0.0 in <CUBRID version>.

    http://svn.cubrid.org/cubridapis/adodotnet/branches/RB-<CUBRID version>/Data/Source

The CUBRID .NET Data Provider is 100% full-managed .NET code and it does not rely on any CUBRID library files. This means that the usage of the driver does not require any kind of CUBRID installation or files on the local machine.

The easiest way to install CUBRID ADO.NET Data Provider is to use the official installer. If you choose to install using the default option (x86), the driver will be installed in the Program FilesCUBRIDCUBRID ADO.NET Data Provider 8.4.1 directory.

You can also choose to install the driver in GAC (http://en.wikipedia.org/wiki/Global_Assembly_Cache). The best way to install the driver is to use the tblimp (http://msdn.microsoft.com/en-us/library/tt0cf3sx%28v=vs.80%29.aspx) tool. See the below to import the required namespaces.

api_ado_install_import.png

Note To get the latest information about ADO.NET driver, click http://www.cubrid.org/wiki_apis/entry/cubrid-ado-net-driver.